{% extends 'base_backend.html.twig' %}
{% block title %}
<title>SayaraAdmin - Ajout Voiture</title>
{% endblock %}
{% block VNactive %}class="active"{% endblock %}
{% block subVN %} style="display:block;" {% endblock %}
{% block AVNactive %} class="active" {% endblock %}
{% block breadcumb %}
<li>Voitures Neuves</li>
<li class="active">Ajouter une Voiture</li>
{% endblock %}
{% block body %}
<style>
    .fileUpload input#sayara_backendbundle_newcar_imageins___name___path .upload{
        color: #00a9ec;
        position: absolute;
        top: 0;
        right: 0;
        margin: 0;
        padding: 0;
        font-size: 20px;
        cursor: pointer;
        opacity: 0;
        filter: alpha(opacity=0);
    }
    .fileUpload {
        position: relative;
        overflow: hidden;
        margin: 10px;
    }

</style>


<div class="row">
    <div class="col-xs-12">
        <!-- PAGE CONTENT BEGINS -->
        <div class="page-header">
            <h1 class="green">
              Ajouter une Voiture neuve
            </h1>
        </div>
        <form action="" id="formapp" class="form-horizontal" enctype="multipart/form-data" method="post" novalidate="novalidate">

            <div class="container">
                <div class="row">
                    <div class="form-group">
                        <label class="col-md-3 control-label no-padding-right" for="marque"> Marque </label>
                        <div class="col-md-4">
                            {{form_widget(form.marque, { 'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label no-padding-right" for="modele"> Modele </label>
                        <div class="col-md-4">
                            {{form_widget(form.modele, { 'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                </div>

            </div>
            <div class="container">
                <div class="row">
            <div class="form-group">
                <label class="col-md-3 control-label" for="kilometrage">Prix <sup>*</sup></label>
                <div class="col-md-4">
                    <div class="input-group">
                        {{form_widget(form.price, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">DT</span></div>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-3 control-label" for="kilometrage"></label>
                <div class="col-md-4">
                    {% if form.price.vars.errors | length %}
                        <div class="alert alert-danger" role="alert">{{ form_errors(form.price) }}</div>
                    {% endif %}
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-3 control-label">Description <sup>(facultatifl)</sup></label>
                <div class="col-md-4">
                    {{form_widget(form.description, { 'attr': {'class': 'form-control' }}) }}
                </div>
            </div>
                </div>
            </div>


            {{ form_errors(form.imageins) }}

            <!--<div class="form-group">
                <label class="col-sm-3 control-label no-padding-right" for="form-field-1-1">Image intérieures</label>
                <div id="imageins" class="col-sm-9" data-prototype="{{ form_widget(form.imageins.vars.prototype)|e }}">
                    {% for imagein in form.imageins %}
                        <div>
                        {{ form_errors(imagein) }}
                            <div class="fileUpload btn btn-primary">
                                <span>Upload</span>
                        {{ form_widget(imagein, { 'attr': {'class': 'upload' }}) }}
                            </div>
                        </div>
                    {% endfor %}
                    <button id="addImagein" class="inFiled btn-primary btn"style="float: right"><i class="fa fa-plus-square"></i> </button>
                </div>
            </div>-->

            {{ form_errors(form.imageouts) }}

           <!-- <div class="form-group">
                <label class="col-sm-3 control-label no-padding-right" for="form-field-1-1">Image extérieures</label>
                <div id="imageouts" class="col-sm-9" data-prototype="{{ form_widget(form.imageouts.vars.prototype)|e }}">
                    {% for imageout in form.imageouts %}
                        <div>
                            {{ form_errors(imageout) }}
                            {{ form_widget(imageout) }}
                        </div>
                    {% endfor %}
                    <button id="addImageout" class="outFiled btn-primary btn"style="float: right"><i class="fa fa-plus-square"></i> </button>
                </div>
            </div>-->



            {#<div class="form-group">#}

                {#<div class="col-sm-9">#}
                    {#<input type="file" class="id-input-file-2" name="in1" required>#}
                    {#<input type="file" class="id-input-file-2" name="in2">#}
                    {#<input type="file" class="id-input-file-2" name="in3">#}
                    {#<input type="file" class="id-input-file-2" name="in4">#}

                    {#<div class="inPhotos">#}


                    {#</div>#}
                {#</div>#}
                {#<button class="inFiled btn-primary btn"style="float: right"><i class="fa fa-plus-square"></i> </button>#}
            {#</div>#}
            {#<div class="form-group">#}
                {#<label class="col-sm-3 control-label no-padding-right" for="form-field-1-1"> Images Extérieure </label>#}
                {#<div class="col-sm-9">#}
                    {#<input type="file" class="id-input-file-2" name="out1" required>#}
                    {#<input type="file" class="id-input-file-2" name="out2">#}
                    {#<input type="file" class="id-input-file-2" name="out3">#}
                    {#<input type="file" class="id-input-file-2" name="out4">#}

                    {#<div class="outPhotos">#}


                    {#</div>#}
                {#</div>#}
                {#<button class="outFiled btn-primary btn"style="float: right"><i class="fa fa-plus-square"></i> </button>#}
            {#</div>#}
            <div class="space-4"></div>
            <div class="form-group" style="text-align: center;">
                <button type="submit" class="btn btn-success">Ajouter Voiture</button>
                <a type="reset" class="btn btn-default" href="{{ path('new_car_index') }}">Annuler</a>
            </div>
        </form>

    </div><!-- /.col -->
</div>
{% endblock %}
{% block javascript %}
    <script src="{{ asset('frontassets/assets/js/fileinput.min.js') }}" type="text/javascript"></script>

    <script>
    $(".upload").fileinput(
        {   'showUpload':!1,
            'allowedFileExtensions': ["jpg", "png"] ,
            'minFileSize':100,
            'maxFileSize':2200
        });
    $('#sayara_backendbundle_newcar_marque').change(function () {
        var marqueSelector = $(this);
        var marqueid= marqueSelector.val()

        // Request the models of the selected marque.
        $.ajax({
            url: "{{ path('vehicle_model_list') }}",
            type: "POST",
            dataType: "JSON",
            data: {
                marqueid: marqueSelector.val()
            },
            success: function (models) {
                var modelSelect = $("#sayara_backendbundle_newcar_modele");

                // Remove current options
                modelSelect.html('');

                // Empty value ...
                modelSelect.append('<option value> Choisir un modele de  ' + marqueSelector.find("option:selected").text() + ' ...</option>');


                $.each(models, function (key, model) {
                    modelSelect.append('<option value="' + model.id + '">' + model.libelle + '</option>');
                });
            },
            error: function (err) {
                alert("An error ocurred while loading data ...");
            }
        });
    });

    // keep track of how many image in fields have been rendered
    var imageinCount = '{{ form.imageins|length }}';

    $('#addImagein').click(function(e) {
        e.preventDefault();

        var imgList = $('#imageins');

        // grab the prototype template
        var newWidget = imgList.attr('data-prototype');
        newWidget = newWidget.replace(/__name__/g, imageinCount);
        imageinCount++;

        // create a new list element and add it to the list
        var newLi = $('<div></div>').html(newWidget);
        newLi.appendTo(imgList);
    });
    // keep track of how many image in fields have been rendered
    var imageoutCount = '{{ form.imageouts|length }}';

    $('#addImageout').click(function(e) {
        e.preventDefault();

        var imgList = $('#imageouts');

        // grab the prototype template
        var newWidget = imgList.attr('data-prototype');
        newWidget = newWidget.replace(/__name__/g, imageoutCount);
        imageoutCount++;

        // create a new list element and add it to the list
        var newLi = $('<div></div>').html(newWidget);
        newLi.appendTo(imgList);
    });

</script>
{% endblock %}